<?php
/**
 * Expected parameters:
 * $order - The full order including totals.
 * $currencies - A list of [id => code] pairs usually provided by default by EvCurrency.
 */
?>

<script>
	function GetRevenueValue() {
		<?php $orderTotals = Hash::combine($order, 'OrderTotal.{n}.name', 'OrderTotal.{n}.amount');?>
		return <?= $orderTotals[Configure::read('EvBasket.labels.grandtotal')]; ?>;
	}
</script>
<script>
	window.uetq = window.uetq || [];
	window.uetq.push({ 'gv': GetRevenueValue(), 'gc': '<?= $currencies[$order['Order']['currency_id']] ?>'});
</script>
